Subject: Re: [PATCH 2.6.18] WE-21 support (core API)

From: Johannes Berg <[email-masked]>
Date: Fri, 01 Sep 2006 08:56:38 +0200

On Thu, 2006-08-31 at 19:57 +0200, Michael Buesch wrote:

> It is. Nobody says different. I think with "mainline" Johannes meant
> the wireless-dev tree. Merging nl80211 with softmac would indeed not
> make sense to me, too.

Actually, I do say different. I want softmac to be a consumer of nl80211
too, as well as all the fullmac drivers. I want to put all the ioctl
handling and all the mess with implicit semantics and special cases into
some common shim layer that simply calls the same methods you gave to
nl80211, so that drivers never ever need to bother with WE again.

johannes